---
title: Columns
description: Displays content horizontally in one or more columns with equal spacing between.
category: Structure
keywords:
  - layout
status:
  value: Alpha
  message: This component and its documentation is in development. There could be breaking changes made to it in a non-major release of Polaris. Please use with caution.
examples:
  - fileName: columns-default.tsx
    title: Default
    description: >-
      By default, there are 6 columns with 16px spacing between them.
  - fileName: columns-with-varying-gap.tsx
    title: Gap
    description: >-
      Use the gap prop to set the amount of space between columns.
  - fileName: columns-with-fixed-widths.tsx
    title: Column width
    description: >-
      Individual column width can be adjusted.
  - fileName: columns-with-set-number.tsx
    title: Number of columns
    description: >-
      Use the columns prop to set the number and width of columns across breakpoints.
---

## Related components

- For more control over padding and widths, [use the Box component](https://polaris.shopify.com/components/box)
- To lay out a set of smaller components horizontally, [use the Inline component](https://polaris.shopify.com/components/inline)
