---
title: Polaris 101
description: The Polaris design system is used by designers and developers to build world-class Shopify admin experiences.
keywords:
  - polaris
  - shopify admin
order: 0
---

## What’s the Shopify admin?

Merchants set up their store, configure settings, and manage their business using the admin. It includes core aspects of the merchant’s business, including orders, products, and customers.

![Partial screenshots of the admin in mobile and web](/images/getting-started/polaris-101/mobile-web-admin@2x.png)

## What is Polaris?

Polaris is the design system for the Shopify admin. It’s the shared language that guides how we build high-quality merchant experiences.

The design system is made up of design guidance, code libraries, development opinions, and API documentation on how to build merchant experiences for the Shopify admin.

## Who is Polaris for?

Polaris is used both internally at Shopify and externally by app developers and designers.

## What are Shopify apps?

The admin includes installable apps that are distributed through the Shopify App Store. They enable merchants to add functionality to their stores without leaving the familiar environment of the admin.

By building with Polaris and [App Bridge](https://shopify.dev/apps/tools/app-bridge) and following the [App Design Guidelines](https://shopify.dev/apps/design-guidelines), you'll create a streamlined experience with the rest of the Shopify admin.
