---
title: Design patterns
description: We strive to establish and reuse the best solutions to merchant situations. Identifying and documenting design patterns is one way to make this possible.
keywords:
  - patterns
  - design patterns
  - guidelines
  - principles
  - reusable
  - merchant solutions
icon: RefreshMajor
---

A design pattern is a repeatable solution to a common UX problem in a specific merchant situation. Using the right pattern in the right context makes the Shopify admin familiar and easy to use.

---

### Join the conversation

Do you have ideas or feedback on how we can make these guidelines more empowering and useful? Please share your thoughts in the [GitHub discussion](https://github.com/Shopify/polaris/discussions/6046).

---

## Principles

For patterns to be successful, they need to be consistent, unified, and contextual.

### Consistent

Patterns are always used in the same way for the same reasons. Merchants need to be able to trust their expectations.

### Unified

Patterns are always informed by and designed together with similar patterns. For example, patterns with similar purpose should complement each other, and patterns with similar functionality should share appearance and behavior.

### Contextual

A pattern is always paired with the problem it solves and the situation it appears in. A solution applied in a context it wasn’t designed for is not a pattern.

![A solution box within a problem box within a situation box.](/images/foundations/patterns/design-patterns/situation-problem-solution.png)
